cancel
Showing results for 
Search instead for 
Did you mean: 

Consult about Supporting S/4 HANA Web UI Technology

xin-yuanc
Discoverer
0 Kudos

Dear Expert,

Our automatic testing tool UFT used to support SAP Web UI Tech like WDA, WEBGUI, EP, NWBC on SAP NetWeaver mainly by following SAP_BASIS version.

Since last year some of our customers start to work with S/4 HANA 1809 and found some identification issues in our product UFT.

We are now setting up S/4 HANA 1909 trail server but quite lack of the basic knowledge like which specific version of each tech we are working with. It would be great if we can have some close contact to confirm the best support strategy.

Take SAPGUI for HTML for example, we are not sure how to figure out if our test env. match with our customers’. What factors shall we take into account, like kernel line, UR patch, SAP_BASIS or sth else?

The following excel lists some details.

Thanks,

Mandy

Accepted Solutions (0)

Answers (1)

Answers (1)

0 Kudos

Hi Mandy,

If I understood correctly, you want to match the trial system to the customer installation. For that first you need to identify if the customer is using a cloud offering or not. To choose the correct trial system.

Assuming it is the on-premise version and you are on the latest release of the trial system. First you need to identify the SAP S/4HANA release (like 1809, 1909).

After that you identified the software level as in Feature Package Stack or Support Package Stack and kernel to match with the customer software components.

And finally match the kernel patch, Front-End version and SAPUI library patch.

For more information you can check this links:

SAP S/4HANA sofware release and maintenance strategy:
https://help.sap.com/doc/fb3ee8b026b9468890aedd443afb9aae/1511%20000/en-US/ReleaseMainStratS4.pdf

Wiki page with a lot of resources of information related to Fiori for S/4HANA.
https://wiki.scn.sap.com/wiki/display/Fiori/SAP+Fiori+for+S4HANA

My suggestion to you is that you start interacting with SAP Integration and Certification Center (SAP ICC), see https://youtu.be/ju5gPSVvxHg and https://sap.com/icc for more details. I think you can get a lot of help and finally certify your product to go against SAP S/4HANA.

Best regards,

Raquel

xin-yuanc
Discoverer
0 Kudos

Hi Raquel,

Thank you for your reply!

One more thing I'd like to know is where I can find the difference of UI tech between different S/4 HANA releases like 1809 and 1909?

For fiori we can tell the difference based on the Front-end Server version.

1909 is with FES 6.0 hence the version of SAPUI library would be 1.65, 1.71 or higher.

1809 SPS01 is with FES 5.0 which is with 1.60 and SPS02 is with FES 6.0.

Please correct me if I understand wrong.

While for WDA or SAPGUI for HTML (WEBGUI) I am not clear about which version I shall check and follow. There seems to be many complicated factors like kernel line, component SAP_Basis, UR patch etc.

I know some transaction like SITSPMON or sm51->release note or se38->WDG_MAINTAIN_UR_MIMES->show extended info to get some version info. But I am not sure which factors are the key for WDA or WEBGUI.

Is there a clear maintainance strategy or release note for WDA or WEBGUI like for Fiori (note 2217489)?

Thanks,

Mandy